from GFM313_Tx_tests import *

resource_string_FSW_hislip = 'TCPIP::192.168.1.1::hislip0'  # Hi-Speed LAN connection - see 1MA208
resource_string_FSW_vxi11 = 'TCPIP::192.168.1.1::INSTR'  # VXI-11 connection

# Signal generator required for TC 6.7
resource_string_SMW_hislip = 'TCPIP::192.168.1.2::hislip0'  # Hi-Speed LAN connection - see 1MA208
resource_string_SMW_vxi11 = 'TCPIP::192.168.1.2::INSTR'  # VXI-11 connection
resource_string_SMW_usb = 'TCPIP::0x0AAD::0x0119::022019943:INSTR'  # USB-TMC

try:
    # Example for TC 6.2 Base station output power
    # Initialization
    mytest62 = TC62(resource_string_FSW_hislip)
    # Set some test specific parameters
    mytest62.frequency = 1000
    mytest62.reference_level_offset = 3
    mytest62.testmodel = 'NR-FR1-TM1_1__TDD_10MHz_15kHz'
    # Start measurement
    mytest62.start_measurement()
    # Print results
    print(mytest62.return_results())
    # Export results to csv
    mytest62.csv_export()
    # Screenshot of analyzer
    mytest62.hardcopy_analyzer('hardcopy_2')
    # Close the connection
    mytest62.close_analyzer()

except RsException as e:
    print(e.args[0])
else:
    print('Test execution successful')


# # Example for TC 6.7 Transmitter intermodulation
#
# # Interferer generation with SMW
# mytest67 = TC67(resource_string_SMW_vxi11)
# mytest67.interferer_duplex = 'TDD'
# mytest67.frequency = 1200
# mytest67.channel_bw = 20
# mytest67.apply_swm_configuration()
# mytest67.output_on(1)
#
# # Adjacent channel leakage power measurement
# mytest663 = TC663(resource_string_FSW_vxi11)
# mytest663.frequency = mytest67.frequency
# mytest663.channelBW = mytest67.channel_bw
# mytest663.start_measurement()
# mytest663.csv_export()
#
# # Operating band unwanted emissions measurement
# mytest664 = TC664(resource_string_FSW_vxi11)
# mytest664.frequency = mytest67.frequency
# mytest664.channel_bw = mytest67.channel_bw
# mytest664.start_measurement()
# mytest664.csv_export()
#
# # Transmitter spurious emissions measurement
# mytest665 = TC665(resource_string_FSW_vxi11)
# mytest665.frequency_5thharmonic = 17500
# mytest665.start_measurement()
# mytest665.csv_export()
