"""
5G NR conducted base station conformance tests (according to 3GPP TS 38.141-1);
:version: 1.00
:copyright: 2021 by Rohde & Schwarz GmbH & Co. KG
:license: MIT
:author: Christian Wicke, Fabian Bette
Numbering refers to numbering in 3GPP TS 38.141-1:
TC 6.2: Base station output power
TC 6.3.2: RE power control dynamic range --> See TC_6_5_23
TC 6.3.3: Total power dynamic range
TC 6.3.4 NB-IoT RB power dynamic range --> see TC_6_6_4
TC 6.4: Transmit ON/OFF power
TC 6.5.2: Frequency error --> see TC_6_5_23
TC 6.5.3: Modulation quality --> see TC_6_5_23
TC 6.5.4: Time alignment error
TC 6.6.2: Occupied bandwidth
TC 6.6.3: Adjacent channel leakage power ratio (ACLR)
TC 6.6.4: Operating band unwanted emissions
TC 6.6.5 Transmitter spurious emissions
TC 6.7: Transmitter intermodulation
"""
__version__ = '1.00'
from GFM313_Tx_tests.TCs.TC_6_2 import TC62
from GFM313_Tx_tests.TCs.TC_6_3_3 import TC633
from GFM313_Tx_tests.TCs.TC_6_4 import TC64
from GFM313_Tx_tests.TCs.TC_6_5_23 import TC6523
from GFM313_Tx_tests.TCs.TC_6_5_4 import TC654
from GFM313_Tx_tests.TCs.TC_6_6_2 import TC662
from GFM313_Tx_tests.TCs.TC_6_6_3 import TC663
from GFM313_Tx_tests.TCs.TC_6_6_4 import TC664
from GFM313_Tx_tests.TCs.TC_6_6_5 import TC665
from GFM313_Tx_tests.TCs.TC_6_7 import TC67
from GFM313_Tx_tests.General.GFM313_utilities import RsException
